Bug 1297980 - [RFE] Support for encypted volumes backed by RBD via QEMU
Summary: [RFE] Support for encypted volumes backed by RBD via QEMU
Keywords:
Status: CLOSED DUPLICATE of bug 1301019
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Daniel Berrangé
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1305606 1262120
TreeView+ depends on / blocked
 
Reported: 2016-01-12 22:23 UTC by Stephen Gordon
Modified: 2016-05-04 16:23 UTC (History)
26 users (show)

Fixed In Version: QEMU 2.6
Doc Type: Enhancement
Doc Text:
Clone Of: 1262121
Environment:
Last Closed: 2016-05-04 16:17:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 206576 None None None 2016-01-12 22:23:13 UTC
OpenStack gerrit 239798 None None None 2016-01-12 22:23:13 UTC

Comment 2 Daniel Berrangé 2016-01-13 09:47:36 UTC
FYI, I have patches to provide encryption support for all QEMU block drivers waiting for review:

https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg02068.html

Comment 4 Ademar Reis 2016-05-04 01:11:48 UTC
AFAICS, all patches are merged in 2.6, so I'm changing the BZ status.

Daniel: still waiting for your confirmation regarding libvirt support (see comment #3)

Comment 5 Ademar Reis 2016-05-04 16:17:57 UTC

*** This bug has been marked as a duplicate of bug 1301019 ***


Note You need to log in before you can comment on or make changes to this bug.